# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Achim Gottinger <achim@gentoo.org>
# $Header: /home/cvsroot/gentoo-x86/skel.build,v 1.2 2001/02/15 18:17:31 achim Exp $

S=${WORKDIR}/${P}
DESCRIPTION="The Gentoo-Linux Documentation"
HOMEPAGE="http://www.gentoo.org"

DEPEND=""

src_unpack () {
    mkdir ${S}
}

src_compile() {

  mkdir html
  cd html
  try docbook2html ${FILESDIR}/gentoo.sgml
  cd ..
  mkdir print
  cd print
  mkdir images
  cp -a ${FILESDIR}/images/*.png images
  try docbook2pdf ${FILESDIR}/gentoo.sgml

}

src_install () {

    dodir /usr/share/doc/${PF}
    cp -a html ${D}/usr/share/doc/${PF}
    insinto /usr/share/doc/${PF}/html/images
    doins ${FILESDIR}/images/*.png
    insinto /usr/share/doc/${PF}/images
    doins ${FILESDIR}/images-dsssl/*.gif
    cp -a print ${D}/usr/share/doc/${PF}
}

